{% extends 'base.html.twig' %}

{% block title %}User index{% endblock %}

{% block body %}
    <h1>User index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nom</th>
                <th>Prenom</th>
                <th>Telephone</th>
                <th>Email</th>
                <th>Mdp</th>
                <th>Addresse</th>
                <th>IsAcheteur</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
                <td>{{ user.id }}</td>
                <td>{{ user.nom }}</td>
                <td>{{ user.prenom }}</td>
                <td>{{ user.telephone }}</td>
                <td>{{ user.email }}</td>
                <td>{{ user.mdp }}</td>
                <td>{{ user.addresse }}</td>
                <td>{{ user.isAcheteur ? 'Yes' : 'No' }}</td>
                <td>
                    <a href="{{ path('user_show', {'id': user.id}) }}">show</a>
                    <a href="{{ path('user_edit', {'id': user.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="9">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('user_new') }}">Create new</a>
{% endblock %}
